Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class CountingRedeliveryHandler

    java.lang.Object
      org.mule.transport.jms.AbstractRedeliveryHandler
          org.mule.transport.jms.CountingRedeliveryHandler

All Implemented Interfaces:
  RedeliveryHandler

    public class CountingRedeliveryHandler

extends AbstractRedeliveryHandler

This redelivery handler will keep counting the redelivery attempts for each message redelivered. Used for providers not implementing the `JMSXDeliveryCount` property support.

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from class org.mule.transport.jms.AbstractRedeliveryHandler
`connector`

Constructor Summary
`CountingRedeliveryHandler()`

Method Summary
`void` | `handleRedelivery(Message message)` process the redelivered message.

Methods inherited from class org.mule.transport.jms.AbstractRedeliveryHandler
`createMuleMessage, setConnector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### CountingRedeliveryHandler

    public CountingRedeliveryHandler()

Method Detail

### handleRedelivery

    public void handleRedelivery(Message message)
                          throws JMSException,
                                 MuleException

  process the redelivered message. If the Jms receiver should process the message, it should be returned. Otherwise the connector should throw a `MessageRedeliveredException` to indicate that the message should be handled by the connector Exception Handler.

  Specified by:
    `handleRedelivery` in interface `RedeliveryHandler`
  Specified by:
    `handleRedelivery` in class `AbstractRedeliveryHandler`
  Parameters:
    `message` - the redelivered message
  Throws:
    `JMSException` - if properties cannot be read from the JMSMessage
    `MessageRedeliveredException` - should be thrown if the message should be handled by the connection exception handler
    `MuleException` - if there is a problem reading or proessing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.